/*
 * UART3_CMD_Handler.h
 *
 *  Created on: Sep 12, 2024
 *      Author: DashyFox
 */

#ifndef INC_UART3_CMD_HANDLER_H_
#define INC_UART3_CMD_HANDLER_H_

#include "stm32f1xx_hal.h"

void UART3_SaveShot(uint8_t *dataPtr, uint8_t len);
void UART3_SaveProgram(uint8_t *dataPtr, uint8_t len);
void UART3_SaveMacro(uint8_t *dataPtr, uint8_t len);
void UART3_StartMacro(uint8_t *dataPtr, uint8_t len);
void UART3_StartProgram(uint8_t *dataPtr, uint8_t len);
void UART3_StartShot(uint8_t *dataPtr, uint8_t len);
void UART3_Stop(uint8_t *dataPtr, uint8_t len);
void UART3_DeleteShot(uint8_t *dataPtr, uint8_t len);
void UART3_DeleteProgram(uint8_t *dataPtr, uint8_t len);
void UART3_DeleteMacro(uint8_t *dataPtr, uint8_t len);
void UART3_DeleteAllData(uint8_t *dataPtr, uint8_t len);
void UART3_GetDeviceStatus(uint8_t *dataPtr, uint8_t len);
void UART3_SetServoOffset(uint8_t *dataPtr, uint8_t len);
void UART3_GetServoOffset(uint8_t *dataPtr, uint8_t len);
void UART3_SetServoMaxAngle(uint8_t *dataPtr, uint8_t len);
void UART3_GetServoMaxAngle(uint8_t *dataPtr, uint8_t len);
void UART3_SetServoMinAngle(uint8_t *dataPtr, uint8_t len);
void UART3_GetServoMinAngle(uint8_t *dataPtr, uint8_t len);
void UART3_ResetServoMinAngle(uint8_t *dataPtr, uint8_t len);
void UART3_MoveServoToInitialPosition(uint8_t *dataPtr, uint8_t len);
void UART3_SetStartupDelay(uint8_t *dataPtr, uint8_t len);
void UART3_GetStartupDelay(uint8_t *dataPtr, uint8_t len);
void UART3_SetMinRollerSpeed(uint8_t *dataPtr, uint8_t len);
void UART3_GetMinRollerSpeed(uint8_t *dataPtr, uint8_t len);
void UART3_SetMinScrewSpeed(uint8_t *dataPtr, uint8_t len);
void UART3_GetMinScrewSpeed(uint8_t *dataPtr, uint8_t len);
void UART3_SetServoInvertFlag(uint8_t *dataPtr, uint8_t len);
void UART3_GetServoInvertFlag(uint8_t *dataPtr, uint8_t len);
void UART3_ReadStatistics(uint8_t *dataPtr, uint8_t len);
void UART3_ResetStatistics(uint8_t *dataPtr, uint8_t len);


#endif /* INC_UART3_CMD_HANDLER_H_ */
